package com.quant.entity;

import java.util.Date;

/**
 * ProductIssue entity. @author MyEclipse Persistence Tools
 */

public class ProductIssue implements java.io.Serializable {

	// Fields

	private Integer id;
	private Date recommendStartDate;
	private Date recommendEndDate;
	private Date startupDate;
	private Date endDate;
	private Integer duration;
	private Integer maximumExpectedIssuance;
	private Integer maximumActualIssuance;
	private Integer issuancePlace;
	private Integer productId;

	// Constructors

	/** default constructor */
	public ProductIssue() {
	}

	/** full constructor */
	public ProductIssue(Date recommendStartDate, Date recommendEndDate,
			Date startupDate, Date endDate, Integer duration,
			Integer maximumExpectedIssuance, Integer maximumActualIssuance,
			Integer issuancePlace, Integer productId) {
		this.recommendStartDate = recommendStartDate;
		this.recommendEndDate = recommendEndDate;
		this.startupDate = startupDate;
		this.endDate = endDate;
		this.duration = duration;
		this.maximumExpectedIssuance = maximumExpectedIssuance;
		this.maximumActualIssuance = maximumActualIssuance;
		this.issuancePlace = issuancePlace;
		this.productId = productId;
	}

	// Property accessors

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Date getRecommendStartDate() {
		return this.recommendStartDate;
	}

	public void setRecommendStartDate(Date recommendStartDate) {
		this.recommendStartDate = recommendStartDate;
	}

	public Date getRecommendEndDate() {
		return this.recommendEndDate;
	}

	public void setRecommendEndDate(Date recommendEndDate) {
		this.recommendEndDate = recommendEndDate;
	}

	public Date getStartupDate() {
		return this.startupDate;
	}

	public void setStartupDate(Date startupDate) {
		this.startupDate = startupDate;
	}

	public Date getEndDate() {
		return this.endDate;
	}

	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}

	public Integer getDuration() {
		return this.duration;
	}

	public void setDuration(Integer duration) {
		this.duration = duration;
	}

	public Integer getMaximumExpectedIssuance() {
		return this.maximumExpectedIssuance;
	}

	public void setMaximumExpectedIssuance(Integer maximumExpectedIssuance) {
		this.maximumExpectedIssuance = maximumExpectedIssuance;
	}

	public Integer getMaximumActualIssuance() {
		return this.maximumActualIssuance;
	}

	public void setMaximumActualIssuance(Integer maximumActualIssuance) {
		this.maximumActualIssuance = maximumActualIssuance;
	}

	public Integer getIssuancePlace() {
		return this.issuancePlace;
	}

	public void setIssuancePlace(Integer issuancePlace) {
		this.issuancePlace = issuancePlace;
	}

	public Integer getProductId() {
		return this.productId;
	}

	public void setProductId(Integer productId) {
		this.productId = productId;
	}

}